#
# spec file for package libgnomesu (Version 1.0.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs audit-libs-32bit autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++42 libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns nss-mdns-32bit openldap2-client openssl-certs orbit2 orbit2-devel pam pam-32bit pam-config pam-devel pam-modules pango pango-devel parted patch perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils rpm sed setserial sysvinit tar tcpd texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libgnomesu
BuildRequires:  fdupes intltool libgnomeui-devel pam-devel
Url:            http://members.chello.nl/~h.lai/libgnomesu/
License:        LGPL v2.1 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
PreReq:         permissions
# obsolete in >9.3
Provides:       xsu
Obsoletes:      xsu
Version:        1.0.0
Release:        153.2
Summary:        GNOME su Library
Source:         %{name}-%{version}.tar.bz2
Source1:        gnomesu-pam.pamd
Source2:        libgnomesu-1.0.po-polish
Patch:          libgnomesu-libtool.patch
Patch1:         libgnomesu-1.0.0-xauth-nolookup.patch
Patch2:         libgnomesu-1.0.0-spin-mainloop.patch
Patch3:         libgnomesu-no-selectable-error.patch
Patch4:         libgnomesu-1.0.0-ensure-xauthority-env.patch
Patch5:         libgnomesu-scrollbar.patch
Patch6:         libgnomesu-password-translation.patch
Patch7:         libgnomesu-po-update.patch
Patch8:         libgnomesu-makefile.patch
Patch9:         libgnomesu-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%description
Libgnomesu is a library for providing superuser privileges to GNOME
applications. It supports sudo, consolehelper, PAM, and su.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%debug_package
%package devel
Summary:        Development files for libgnomesu
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} glib2-devel gtk2-devel
# libgnome-devel libgnomecanvas-devel libbonoboui-devel pam-devel

%description devel
This package contains all files needed to develop with libgnomesu.



Authors:
--------
    Hongli Lai <h.lai@chello.nl>

%lang_package
%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5
%patch6 -p0
%patch7
%patch8
%patch9
cp -a %{S:1} pam-backend/gnomesu-pam
cp %{S:2} po/pl.po

%build
autoreconf -f -i
%configure\
	--libexecdir=%{_prefix}/lib/%{name}\
	--disable-schemas-install\
	--disable-setuid-error
make %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang libgnomesu-1.0
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cp AUTHORS README NEWS ChangeLog doc/api.html doc/libgnomesu.css $RPM_BUILD_ROOT%{_docdir}/%{name}
# We want only PAM backend.
rm $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/gnomesu-backend
%if %suse_version <= 1020
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/permissions.d
cat >$RPM_BUILD_ROOT%{_sysconfdir}/permissions.d/%{name}.easy <<EOF
# libgnomesu (#75823)
%{_prefix}/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT%{_sysconfdir}/permissions.d/%{name}.secure <<EOF
# libgnomesu (#75823)
%{_prefix}/lib/libgnomesu/gnomesu-pam-backend           root:root         4755
EOF
cat >$RPM_BUILD_ROOT%{_sysconfdir}/permissions.d/%{name}.paranoid <<EOF
# libgnomesu (#75823)
%{_prefix}/lib/libgnomesu/gnomesu-pam-backend           root:root         0755
EOF
%endif
# No support for old GNOME
# FIXME: Transform it to .desktop file
rm $RPM_BUILD_ROOT%{_datadir}/application-registry/*.applications $RPM_BUILD_ROOT%{_datadir}/mime-info/*.*
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%run_permissions
%verifyscript
%verify_permissions -e %{_prefix}/lib/%{name}/gnomesu-pam-backend

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc %dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/AUTHORS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/ChangeLog
%{_bindir}/gnomesu
%dir %{_prefix}/lib/%{name}
#%attr (6755,root,root) %{_prefix}/lib/%{name}/gnomesu-backend
#%attr (6755,root,root) %{_prefix}/lib/%{name}/gnomesu-pam-backend
# NOTE: Original package has 6755.
# We have only 4755 and for easy and secure profile.
%verify (not mode) %attr (4755,root,root) %{_prefix}/lib/%{name}/gnomesu-pam-backend
%{_libdir}/libgnomesu.so.*
%config %{_sysconfdir}/pam.d/gnomesu-pam
%if %suse_version <= 1020
%{_sysconfdir}/permissions.d/%{name}.*
%endif

%files lang -f libgnomesu-1.0.lang

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/api.html
%doc %{_docdir}/%{name}/libgnomesu.css
%{_includedir}/libgnomesu-1.0
%{_libdir}/libgnomesu.so
%{_libdir}/libgnomesu.*a
%{_libdir}/pkgconfig/libgnomesu-1.0.pc
%changelog
* Fri Sep 28 2007 - maw@suse.de
- Add libgnomesu-1.0.so-polish as a source file and copy
  it to the po/ directory (#302300).
* Tue Aug 07 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Wed Mar 21 2007 - jhargadon@suse.de
- added a patch to fix the library path for 64 bit packages.
* Tue Jan 02 2007 - sbrabec@suse.cz
- Fixed invalid Makefile expansion.
* Fri Dec 22 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Jun 20 2006 - sbrabec@suse.cz
- Updated translations from upstream (179651#c15).
* Fri May 26 2006 - zsu@suse.de
- bugzilla #169082. Call _() to translate label string "_Password:"
* Thu May 18 2006 - ro@suse.de
- add setuid bit to gnomesu-pam-backend in level secure (#175616)
* Thu May 04 2006 - danw@suse.de
- stick the command label in a scrolledwindow in case it's really
  really long. #161044
* Thu May 04 2006 - hpj@suse.de
- Add patch to ensure that XAUTHORITY is always set in the child
  environment. Fixes Novell bug #172494.
* Fri Mar 31 2006 - danw@suse.de
- Don't mark the error text as "selectable", since that will make
  it focusable as well and mess up the tab order. #162600
* Tue Mar 21 2006 - hpj@suse.de
- Add patch to make it spin the main loop while waiting for the
  child to exit. Fixes Novell bug #156445.
* Mon Jan 30 2006 - ro@suse.de
- reduce BuildRequires as far as possible
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 18 2005 - hpj@suse.de
- Fixed the nlist/nmerge patch to actually work (#119600).
* Fri Oct 14 2005 - hpj@suse.de
- Run xauth nlist/nmerge instead of list, prevents DNS lookups
  (#119600).
* Tue Sep 20 2005 - sbrabec@suse.cz
- Removed references to build directory in installed .la files.
- Fixed devel dependencies.
* Thu Jun 09 2005 - sbrabec@suse.cz
- Updated to version 1.0.0.
- Set permissions properly (#75823).
- Removed crypt backend (#75823).
* Mon May 16 2005 - sbrabec@suse.cz
- Updated to version 0.9.7.
* Thu May 12 2005 - sbrabec@suse.cz
- Provide and obsolete xsu (#75823).
- Fixed crash on x86_64.
- Build and install PAM backend.
- Fixed backend permissions.
* Fri Apr 15 2005 - sbrabec@suse.cz
- Simplified neededforbuild.
- Added devel documentation.
* Tue Feb 08 2005 - hhetter@suse.de
- package without setuid bits for now (#50436)
* Thu Feb 03 2005 - hhetter@suse.de
- initial SUSE package
